<?php
// Copyright 1999-2021. Plesk International GmbH. All rights reserved.
/* vim: set expandtab sw=4 ts=4 sts=4 ft=php: */
/**
 * Plesk-specific phpMyAdmin configuration.
 *
 * Do not modify this file, as your changes would be lost on Plesk update.
 * Edit config.inc.php instead. See phpMyAdmin documentation for details.
 *
 * All directives are explained in documentation in the doc/ folder
 * or at <https://docs.phpmyadmin.net/>.
 *
 * @package PhpMyAdmin
 */
declare(strict_types=1);

if (defined('CONFIG_FILE_USER') && is_readable(CONFIG_FILE_USER)) {
    include CONFIG_FILE_USER;
}

/**
 * This is needed for cookie based authentication to encrypt password in
 * cookie. Needs to be 32 chars long.
 */
$cfg['blowfish_secret'] = isset($GLOBALS['db_admin_secret']) ? $GLOBALS['db_admin_secret'] : '';

/**
 * Servers configuration
 */
$i = 1;
/* Authentication type */
$cfg['Servers'][$i]['auth_type'] = isset($GLOBALS['db_auth_type']) ? $GLOBALS['db_auth_type'] : 'cookie';
/* Server parameters */
$cfg['Servers'][$i]['host'] = isset($GLOBALS['db_host']) ? $GLOBALS['db_host'] : 'localhost';
$cfg['Servers'][$i]['port'] = isset($GLOBALS['db_port']) ? $GLOBALS['db_port'] : '';
/* User/password-pair used to connect to the MySQL server (when 'auth_type' is 'config') */
$cfg['Servers'][$i]['user'] = isset($GLOBALS['db_user']) ? $GLOBALS['db_user'] : '';
$cfg['Servers'][$i]['password'] = isset($GLOBALS['db_pass']) ? $GLOBALS['db_pass'] : '';
$cfg['Servers'][$i]['only_db'] = isset($GLOBALS['db_name']) ? $GLOBALS['db_name'] : '';

/**
 * phpMyAdmin configuration storage settings.
 *
 * NOTE: if 'pmadb' and 'controluser' are empty, configuration storage could not be set up
 * due to a pre-existing 'phpmyadmin' DB or user. To configure it, drop the respective
 * DB and user, then run 'plesk repair installation' or reinstall the package.
 */

/* User used to manipulate with storage */
$cfg['Servers'][$i]['controlhost'] = 'localhost';
$cfg['Servers'][$i]['controlport'] = '';
$cfg['Servers'][$i]['controluser'] = '@@CONTROLUSER@@';
$cfg['Servers'][$i]['controlpass'] = '@@CONTROLPASS@@';

/* Storage database and tables */
$cfg['Servers'][$i]['pmadb'] = '@@PMADB@@';
$cfg['Servers'][$i]['bookmarktable'] = 'pma__bookmark';
$cfg['Servers'][$i]['relation'] = 'pma__relation';
$cfg['Servers'][$i]['table_info'] = 'pma__table_info';
$cfg['Servers'][$i]['table_coords'] = 'pma__table_coords';
$cfg['Servers'][$i]['pdf_pages'] = 'pma__pdf_pages';
$cfg['Servers'][$i]['column_info'] = 'pma__column_info';
$cfg['Servers'][$i]['history'] = 'pma__history';
$cfg['Servers'][$i]['table_uiprefs'] = 'pma__table_uiprefs';
$cfg['Servers'][$i]['tracking'] = 'pma__tracking';
$cfg['Servers'][$i]['userconfig'] = 'pma__userconfig';
$cfg['Servers'][$i]['recent'] = 'pma__recent';
$cfg['Servers'][$i]['favorite'] = 'pma__favorite';
$cfg['Servers'][$i]['users'] = 'pma__users';
$cfg['Servers'][$i]['usergroups'] = 'pma__usergroups';
$cfg['Servers'][$i]['navigationhiding'] = 'pma__navigationhiding';
$cfg['Servers'][$i]['savedsearches'] = 'pma__savedsearches';
$cfg['Servers'][$i]['central_columns'] = 'pma__central_columns';
$cfg['Servers'][$i]['designer_settings'] = 'pma__designer_settings';
$cfg['Servers'][$i]['export_templates'] = 'pma__export_templates';

/**
 * End of servers configuration
 */

/**
 * Directories for temporary files
 */
$cfg['TempDir'] = TEMP_DIR;
$cfg['SessionSavePath'] = TEMP_DIR . 'session/';

/**
 * Other general settings
 */
$cfg['MysqlMinVersion'] = [
    'internal' => 50015,
    'human' => '5.0.15',
];
